Silent Depth PC - Change Log
============================

#105 - 14-Aug-2018 - PC-RELEASE v.1.2.0
---------------------------------------
BUGFIX:  - fixed amok trailing water after map travel
ADDED:   - steamworks plugin
CHANGED: - scene lighting
         - help button in main menu
         - help text in main menu

#104 - 13-Aug-2018
------------------
BUGFIX:  - Hellcats are removed when not in Midway
ADDED:   - Hellcats to main menu
CHANGED: - water and foam in menu

#103 - 13-Aug-2018
------------------
BUGFIX:  - fixed gun muzzles
CHANGED: - updated Time of Day asset and adapted lighting

#102 - 12-Aug-2018
------------------
CHANGED: - foam texture for submarine
         - Hellcat airplanes have a route now
         - moved to Unity 5.6.5p4

#101 - 12-Aug-2018
------------------
ADDED:   - hellcat airplanes over Midway

#100 - 12-Aug-2018
------------------
ADDED:   - free floating cam for videos

#099 - 11-Aug-2018
------------------
BUGFIX:  - fixed flooded status display in system screen for diesel engines after repair
CHANGED: - foam and trailing water
         - lighting in command center

#098 - 01-Aug-2018
------------------
ADDED:   - destroyer pings
CHANGED: - trailing water looks better now

#097 - 25-Jul-2018
------------------
BUGFIX:  - 2d stuff on map wasn't rendered (due to previous "shadows from GUI fix")
         - engine telegraph arrow and periscope depth button were visible on system screen (due to previous GUI enable/disable)
         - fixed leave battle dialog when selecting wake as target which was overlapped by "Cancel" and had been executed then immediately
ADDED:   - Wake island base
         - Marcus island

#096 - 24-Apr-2018
------------------
BUGFIX:  - periscope wave was too high
         - GUI created shadows on the water surface
ADDED:   - key V disables the GUI
CHANGED: - key T fires a torpedo

#095 - 20-Apr-2018
------------------
BUGFIX:  - fixed flickering text on ship spotted log screen
ADDED:   - ceto water for PC

#094 - 10-Apr-2018 - UPDATE v.1.1.4
-----------------------------------
BUGFIX:  - fixed wrong disabled button when own sub is sinking
ADDED:   - PC support

#093 - 27-Mar-2018 - UPDATE v.1.1.3
-----------------------------------
BUGFIX:  - fixed medals not working
         - fixed torpedo reload issue

#092 - 02-May-2017 - UPDATE v.1.1.2
-----------------------------------
BUGFIX:  - fixed some saving/loading and other issues

#091 - 28-Apr-2017 - UPDATE v.1.1.1
-----------------------------------
BUGFIX:  - fixed endless loop in Worldflag asset during loading
         - fixed a bug where you could change the depth in overview map which could lead to damage
CHANGED: - enhanced saving/loading
         - lowered bullet damage

#090 - 10-Apr-2017 - UPDATE v.1.1.0
-----------------------------------
CHANGED: - lighting of inner rooms

#089 - 06-Apr-2017
------------------
ADDED:   - new depth gauge plus periscope depth button
         - new rudder and speed gauge
         - new compass and engine telegraph
         - 3d command center
         - moved to Unity 5.4.5p1

#088 - 06-Feb-2017
------------------
BUGFIX:  - fixed spelling of menue to menu
         - replaced "secure from battlestations" sound with just "battlestations"
ADDED:   - medals awards

#087 - 03-Feb-2017
------------------
ADDED:   - medals
CHANGED: - loading/saving incredibly simplified
         - tripled shells damage
         - overall tonnage is now also shown during patrol
         - lowered range of ships spotting while in periscope depth
         - when submerged destroyers only start look for you when the first torpedo hit
         - moved to Unity 5.4.4p2

#086 - 23-Jan-2017
------------------
BUGFIX:  - wrong placed secure from battlestation removed
CHANGED: - status screen has higher resolution
         - heading is shown relative to the submarine
         - crew of submarine
         - font in detail map is better readable
         - moved to Unity 5.4.4p1

#085 - 14-Dec-2016 - UPDATE v.1.0.2
-----------------------------------
BUGFIX:  - fixed torpedo count which could become negative
         - battery was not charged in overview map
CHANGED: - blurry font in system view
         - deck gun is set back to initial position when diving

#084 - 08-Dec-2016 - UPDATE v.1.0.1
-----------------------------------
BUGFIX:  - enemy ships could start to circle in some cases in time compression
ADDED:   - night views for tbt and periscope
CHANGED: - heading scale is now red at night
         - time compression buttons are larger
         - battery and diesel oil icons on map

#083 - 02-Dec-2016 - RELEASE v.1.0.0
------------------------------------
BUGFIX:  - fixed typo in training weclome screen
         - map visibility distance for the submarine was not set correctly
ADDED:   - game over screen for training battle
         - destroyer in training battle
CHANGED: - increased volume of depth charge explosions
         - lowered rain probability from 40% to 25%

#082 - 01-Dec-2016
------------------
BUGFIX:  - in some cases ships did not sink because the center compartement was not flooded
ADDED:   - training mission with one freighter

#081 - 01-Dec-2016
------------------
BUGFIX:  - fire had some jitter when the ship sank
         - smoke of the fire started prewarmed immediately
         - smoke disappeared to fast with sinking ship
         - reworked the ship sinking, max velocity was set when enabling zig zag even though the ship was damaged
         - under water particles were visible when switching from under water camera to over water views
CHANGED: - starting time to 10AM

#080 - 30-Nov-2016
------------------
BUGFIX:  - fixed possible bug with under water particles which are now always disabled when using the map
         - fixed non counted ships tonnage when encountering a target but pressing no in log screen (now they're really gone)
         - when entering the game over screen, time warp is set back to 1
CHANGED: - start time to the morning
         - exit button graphics
         - Android icons

#079 - 29-Nov-2016
------------------
BUGFIX:  - depth view in front of the camera was too far away
         - telegraph sound was played when entering a battle
ADDED:   - when May/1945 is reached the game is ended
         - Unity Analytics
CHANGED: - diesel sound was too loud
         - rain sound is not played when in map mode anymore
         - adapted water plane far away a bit more to look better
         - changed start date to 1st of January 1942
         - fisher boats and gun boats only appear closer to Japan

#078 - 28-Nov-2016
------------------
BUGFIX:  - gunboat did not fire (missing propeller caused an exception)
ADDED:   - Kevin MacLeod for music to credits in menu
         - saving the game when resuming it
         - exit button for Android
         - torpedoes are visible on the map as well now
CHANGED: - torpedo speed back to normal (46 knots)
         - moved torpedo particles a bit deeper
         - increased volume of under water ambient sound
         - decreased the probability of a contact
REMOVED: - how to play menu button

#077 - 28-Nov-2016
------------------
BUGFIX:  - when there is no initial save game "continue game" leads to a new game
         - e machine sound was looped
ADDED:   - more sounds
CHANGED: - some sounds
         - moved to Unity 5.4.3p1

#076 - 24-Nov-2016
------------------
BUGFIX:  - waypoints were mirrored and completely messed up
         - trackpoints of submarine and ships were not relocated when relocating the submarine to zero
         - single target ships could come in in all angles
         - if there was a convoy the submarine attack flag was reset by other ships
ADDED:   - tons of loading and saving stuff
         - results screen when returning to Midway
CHANGED: - in Midway there are no waves anymore
         - moved up gun crosshair position
         - exchanged game over and results music

#075 - 11-Nov-2016
------------------
BUGFIX:  - torpedo launch sound was played always when pressing the fire button even if there is no possibitily to fire
         - map target sector text popped up every start
         - fixed memory leak with gun smoke
         - fixed huge orientation bug (direction of submarine and sun)
         - after spotting a ship, the "hand" icon was visible in the detail map as the first click was counted
         - weather change did not change the submarine visibility distance
         - extended water plane looked ugly
ADDED:   - differentiation for statistical game data (easy, medium, hard)
         - fired bullets/torpedoes and hit bullets/torpedoes are counted now
         - welcome screen for start of the patrol
         - patrol area
         - random ships and fleets spawn
CHANGED: - main menu has new entries (ranking list, how to play) / removed tutorial
         - doubled submarine rudder steering force
         - moved to Unity 5.4.2p4

#074 - 28-Oct-2016
------------------
BUGFIX:  - fixed bug in menu where the continue button lead to settings menu as well
         - after surfaced again it was not possible to use the gun, tbt and bridge view
ADDED:   - about dialog in menu
         - submarine names list
         - heading display for TBT, periscope and gun
CHANGED: - placement of US destroyers at Midway

#073 - 27-Oct-2016
------------------
BUGFIX:  - fixed memory leak in torpedo (double target pivot gameobject)
         - particles at ships are stopped now when ship is sinking
         - fire at ships angled together with the ship
ADDED:   - game music
         - options menu
         - different water quality settings
CHANGED: - all sounds stop now in game over and log view
         - positions of US destroyers at Midway

#072 - 26-Oct-2016
------------------
BUGFIX:  - for some cameras the additional light above the submarine for caustics was still enabled
         - it was not possible to switch to bridge and gun when the main camera was under water
         - "hide particles plane" was visible in bridge mode when diving
         - it was not possible to do changes in command center view
ADDED:   - US destroyers at Midway
         - cargo stuff for Midway
         - sounds for the submarine
CHANGED: - propeller bubbles of the submarine don't live that long anymore
         - reduced particle densitiy for submarine particles
         - moved periscope particles a bit lower

#071 - 25-Oct-2016
------------------
BUGFIX:  - propellers of all ships are working now
         - fixed nasty particle issue when particles where in front of the ocean (fixed in ocean shader and
           introduced a "hide particle plane" above the surface to hide smoke, fire and all that stuff when submerged)
ADDED:   - propeller sounds to all ships
CHANGED: - adapted foam to all ships correctly (sizes)
         - buttons graphics for sound and music
         - moved to Unity 5.4.2p1

#070 - 24-Oct-2016
------------------
BUGFIX:  - status messages did pop up at the log screen after death
         - propeller did not rotate
ADDED:   - rain (in new weather class)
         - different weather conditions set randomly
         - after submarine lost, the menu is loaded again
         - resource warnings when low on battery, fuel and compressed air
         - switch to game over state when resources are gone
         - log screen texts after losing the submarine
         - options menu in game (sound/music on/off)
         - real depth charges plus explosions including sounds!
         - propeller sound for destroyer
CHANGED: - fire and smoke on ships - look way better now (shader solution)
         - lowered torpedo safety distance to 200yd
         - dynamic fog now uses only the red channel from the sun color (looked ugly during morning hours)
         - pipe smoke stops now when the hit points of the ship are below 40%
         - destroyer now turns more smoothly when attacking the submarine

#069 - 17-Oct-2016
------------------
BUGFIX:  - finally fixed all ship sinking issues
         - when going below 600ft, depth gauge arrow is now fixed to not reach zero again
         - submarine cannon should have caustics now as well
ADDED:   - system screen has different background for day/night like the maps
         - attack results log screen
         - log screen pops up automatically after all ships have either escaped or sunk
         - file saver for preferences and game data
         - damaged textures for the submarine
         - dialog for battle leave
CHANGED: - every ship has now it's own "removal" depth after sinking
         - when submarine is sinking now the outer view is applied and all buttons are disabled
         - menu buttons and camera perspective
         - daylight is less intense

#068 - 13-Oct-2016
------------------
BUGFIX:  - hitpoints percent was calculated wrong
         - complete fire on deck management went wrong
         - fixed ship sinking for all ship types, e.g. carrier looked very strange
         - sinking warships still tried to attack
ADDED:   - civil ships now start to do zigzag when one was attacked
         - difficulty levels easy, medium and hard
         - there are now maps for the night view
CHANGED: - ships don't burn that easy but smoke first
         - some max velocities of ships
         - dialog background

#067 - 11-Oct-2016
------------------
BUGFIX:  - fixed flickering when faded between screens
         - gun reload times were too fast for all warships beside the destroyer
         - time warp buttons could be potentially used even if not on the map
ADDED:   - in game menu
CHANGED: - underwater brightness decreased during day
         - ships stop fire when their hitpoints go below 50%
         - increased max zoom out value
         - menu button is not visible at system screen anymore
         - menu button has better graphics (replaced my placeholder=

#066 - 10-Oct-2016
------------------
BUGFIX:  - war ships always detected the submarine initially
         - ships set a bit deeper dependent on the distance to the submarine
         - status messages did appear in game over screen
         - front fader did not fade sub controls
         - hull percent was not set back to 100% at Midway
         - fixed null pointer exceptions in menu
ADDED:   - torpedo trail which follows the waves
         - menu button (still without function)
CHANGED: - sky color is darker at day now (was way too bright)
         - submarine foam now roughly follows the waves
         - moved camera in menu to show the submarine better
         - almost disabled waves in menu
REMOVED: - game over static screen and fade out the current one instead

#065 - 07-Oct-2016
------------------
BUGFIX:  - bullets are not visible anymore if the camera is below the surface
         - caustics are not rendered at night (looked strange brightened)
         - it was possible to change speed, depth and heading in the log, command center and system view even though
           the gauges were not displayed
         - torpedo solution computer is now updated correctly with angles and rejects solutions if above 90° deviation
ADDED:   - when the closest ship is more than 60,000yd away, all ships are considered as escaped and are removed
         - IJN Kadai Submarine including firing gun
         - Light Cruiser fires guns and depth charges
         - Gunboat fires guns and tries to circle the submarine
CHANGED: - destroyer gun reload time increased to 10 seconds
         - icons of lost ships are now grey plus last heading is not displayed anymore
         - increased gun reload time from 3 to 4 seconds
         - tracer bullets are larger now
         - water splashes are smaller
         - cross hair for gun is now white at night and black at day and sits at a higher position

#064 - 06-Oct-2016
------------------
BUGFIX:  - when going back to the overview map, the submarine was surfaced immediately with enabled time warp
         - when a ship was lost due to distance the heading was still displayed correctly
CHANGED: - increased detection factor for depth charge attacks for submerged submarine (less dangerous for the submarine)
         - zoom out button is now hidden if it's not possible to zoom out
         - increased rudder force in timewarp for the sub while submerged
         - tracer bullets are only fired when the destroyer is closer to the submarine
         - night is brighter
         - moved to Unity 5.4.1.p4

#063 - 05-Oct-2016
------------------
BUGFIX:  - fixed null reference exception for explosions in case the main camera was disabled or under water
         - estimated submarine position for destroyer went amok :D
         - ships were instantiated not at zero position so we had a mix of GameObject position plus local transform position
           with unknown side effects and possible trouble
         - refactored destroyer attack runs which were buggy (did not give up and did not re-detect submarines)
ADDED:   - all objects are now relocated back to zero when crossing a certain distance to fight z-buffer issues
         - destroyer only fires when there's nothing between the destroyer and submarine plus no ship close to the submarine
         - submarine now loses contact to ships when far away (dependent on the visibility) and when under water (about 1000 yd)
CHANGED: - ship engines are going slower dependent from the hit points
         - fire starts on deck now dependent on the hit points not hit count anymore

#062 - 04-Oct-2016
------------------
ADDED:   - firing guns for the destroyer
         - tracer bullet fired by the destroyer when it's dark
         - IJN Heavy Cruiser
CHANGED: - bullets are white and smaller now
         - bullets have less drag (fly more far away)
         - batteries charge is dependent on the number of working diesel engines
         - updated assets Vectrosity, Volumetric Fog and Underwater Shaders

#061 - 30-Sep-2016
------------------
BUGFIX:  - symbols for warships and merchants where mixed up
         - when the ship was hit by a bullet for the first time it went up a bit like for torpedo explosions
         - when a ship was hit at the stern position it moved up
         - under water flag was not set when in periscope mode (now always true when bridge is below surface)
         - it was possible to set the status of a module to damaged AFTER it was already wrecked
ADDED:   - ships have now sort of hit points
         - conning tower and periscope are now destroyed when destroyer drives "through" it
         - volumetric fog for different visibility states
         - screen shaker for command center view
         - ATWAR easteregg ship :D
         - all ship classes as prefabs including tonnage and hit points
         - destroyer now returns to its previous position and course after losing the submarine
         - when returning to Midway submarine is repaired and reloaded
         - display for diesel, battery and air in the map
CHANGED: - depth charge dropped messages don't come too often anymore
         - submarine has now some spotting deviation when re-detected submerged
         - caustics are better visible now
         - sinking ships are now removed at a deeper depth because some could be larger
         - increased size of status messages font by 30%
         - fire on ships is smaller and slower (50% of previous size)
         - torpedoes don't explode below a safety distance of 300yd anymore
         - overview map is not accessible anymore when under attack
         - moved to Unity 5.4.1.p3

#060 - 21-Sep-2016
------------------
BUGFIX:  - moved scale in detail map a bit down and corrected it (was wrong by factor 2)
         - submarine could drive submerged even when electric engines were damaged
         - all particles did not work correctly (did not adapt to waves due to collision planes)
         - propeller from destroyer and freighter had no material
ADDED:   - system, command center and map screens are now shaked due to damage
         - depth charges from destroyers
         - caustics to the submarine!
CHANGED: - time compression up to 4x is now possible in combat mode
         - distance circles on detail map are more transparent, font darker and more readable
         - submarine does pitch more moderate down when diving

#059 - 17-Sep-2016
------------------
BUGFIX:  - arrows of the stop watch sometimes disappeared (Were on the same layer-z as the clock itself!)
         - stop watch continues to run even if not in periscope or tbt mode
         - fire at deck did not reappear when switching between map and 3d view
         - smoke now always goes up even though the ship might angle quite heavily while sinking
         - ships did not sink, increased sink force
         - in case of an attack or a sinking subarine it's not possible anymore to flee using the map
         - rudder messages now only come once not all the time if you keep the wheel pressed
         - HUGE internal position bug fix update, mainly the real 3d positions are now used everywhere!
ADDED:   - the submarine now takes damage when diving too deep and sinks eventually
         - destroyer now has some detection algorithm to detect, follow, attack and lose the submarine
         - preferences class for options menu later
CHANGED: - time compression can't be activated in combat mode (torpedo is running etc)
         - increased maximum map zoom
         - moved to Unity 5.4.1p1

#058 - 07-Sep-2016
------------------
BUGFIX:  - fixed wrong dive plane state (sub diving went strange with intact dive planes)
         - fixed infinite loop in case all 4 diesels would break down
         - fixed hull percent message (was not updated)
ADDED:   - air is now a limited resource (status screen update)
         - submarine consumes air while submerged plus even more to get to surface
         - game over screen
         - system status for all 4 diesels including consumption
         - status messages for almost everything

#057 - 26-Aug-2016
------------------
ADDED:   - progress bars for all repair status fields
         - damaged modules now have impacts on the submarine
         - some modules can only be repaired while not submerged
         - collisions with other ships now have impact depending on the speed of impact and collision point

#056 - 22-Aug-2016
------------------
ADDED:   - status screen damage and repair mechanism
CHANGED: - moved to Unity 5.4
         - minor code changes

#055 - 18-Apr-2016
------------------
BUGFIX:  - enemy ships move correctly in time warp mode
         - fixed tons of maps related bugs
ADDED:   - destroyer with simple following code
CHANGED: - target info text is now below the current target and not anymore at top screen position

#054 - 26-Nov-2015
------------------
BUGFIX:  - in gun mode the camera did not switch automatically when diving
ADDED:   - cross hair for gun view
CHANGED: - position of gun camera to the right side
         - the way view selection buttons are shown (all together now, unusable are greyed out)
         - replaced quite a lot of public members with private
REMOVED: - under water distortion

#053 - 24-Nov-2015
------------------
BUGFIX:  - fixed tons of compiler warnings
         - fixed wrong scaling of measurement lines for ship extrapolation
         - fixed wrong appearance of lines in 3d view after map
         - waypoints did not work correctly if rudder was not at zero
         - rudder disappeared when there were still waypoints left
         - fixed black appearance under water
         - outer camera rotation went off when zooming in
         - bow particles are off now if the camera is under water
         - fixed periscope camera for under water
         - fixed wrong particle appearance after leaving the map
         - fixed strange jumps in the map when waypoints were active and map was left
         - fixed internal exception in lines drawing for waypoints
ADDED:   - bearing is displayed as number in the steering wheel
         - wave destortion post processing under water
         - stop watch for torpedoes
         - gun plus gun camera
         - fast bloom post processing filter
CHANGED: - splash screen
         - switched to Unity 5
         - switched to Vectrosity 5
         - new Time of Day plugin version
         - menu works faster and is more responsive
         - in TBT mode buoyancy is damped to avoid too much movement
         - night is brighter

#052 - 23-Feb-2015
------------------
BUGFIX:  - fixed access to non available main camera in TargetLeadAngle
         - fixed map transitions bug (sub was not correctly placed in the overview map)
         - when a ship was sinking, switching to map and back brought it back to the surface
CHANGED: - updated time of day plugin
         - timewarp is now reset to 1 when switching to detail map
         - handling of target selection
         - map icons of sunk ships are now removed from map
         - torpedo fire button (has now a pressed version as well), removed grey version
         - uzo view texture
         - fire replaced with real particles
         - loading screen
REMOVED: - background in menu

#051 - 19-Feb-2015
------------------
BUGFIX:  - max speed of the ships was way to high
         - ships lose speed if hit and stop completely if heavily damaged
         - ships did not sink correctly
CHANGED: - time warp only available on details page and goes from 1-32 now
         - increased torpedo accuracy from 1 to 0.5°
         - map time marks are now in 5m splits, removed 4h mark as it's not visible anyway
REMOVED: - time warp display from overview map (fix 5000 there now when clicking for new destination)

#050 - 16-Feb-2015
------------------
BUGFIX:  - periscope mode had still the old behaviour (no auto target select)
         - target is now lost if it's not in focus for at least 3 seconds
         - on detail map the rudder force did not react correctly in timewarp
         - depth rudder and speed works correctly in timewarp too
         - compass and speed are shown correctly in all views now
         - when switching back from the map the bridge view was shortly visible even if under water
         - lots of map stuff (relative positions)
ADDED:   - random torpedo deviation (-1 .. +1°)
         - version info in main menu
         - map now shows ships at large known position if out of visibility range
CHANGED: - target selection arrows are a bit smaller now
         - maximum map zoom increased
         - torpedo fire button

#049 - 27-Jan-2015
------------------
ADDED:   - two additional test ships
BUGFIX:  - camera fog plane was too small under water
         - fixed jittering during multitouch zooming
         - buttons did not move out completely from the visible area
         - view selection buttons did not work under water correctly
         - periscope view did not switch of if below periscope depth
         - fixed null reference exception in torpedo class
         - fire on deck was not placed correctly if ship was rotated
CHANGED: - torpedo fire button graphics and function (it's either grey or red now, not green anymore)
         - tbt view graphics which has some blurry background now (better than just black)
         - torpedoes can drive tighter curves now which make the usage them more viable
REMOVED: - target select button; targets are now selected automatically by pointing on them

#048 - 16-Dec-2014
------------------
ADDED:   - menu animation and sub menus
CHANGED: - splash screen
         - outer camera is not zoomed anymore but moves correctly

#047 - 05-Dec-2014
------------------
BUGFIX:  - tiny roll movement while doing sharp turns submerged did not work
         - fixed diving
ADDED:   - a small point light above the sub to lighten the night a bit
         - fog below water dependent on time and depth
         - splash screen
         - loading screen
         - simple menu
CHANGED: - set light polution back to zero
         - replaced silverlining with Time of Day plugin
         - new crew
         - buttons
         - player's and enemy course on map is now disabled if the speed is zero
REMOVED: - depth view plane in front of the camera submerged

#046 - 17-Nov-2014
------------------
BUGFIX:  - tbt in compass did show into the wrong direction
         - steering of torpedoes did not work properly in periscope mode
ADDED:   - us destroyer in midway
         - torpedo steering with lead angle works now!
         - ships sink correctly with damage model
         _ ships on fire
CHANGED: - night is brighter
         - patrol area "glows" a bit to see it easier in the map
         - texture of midway
         - tbt is now really fixed to the submarine
         - log view is now fixed to the left side so text always is in the right place
         - torpedo explosions look more realistic now
         - command center view are now images only

#045 - 30-Oct-2014
------------------
BUGFIX:  - particles were not visible due to prior optimizations
         - periscope did not went down while switching to bridge during surfacing
ADDED:   - log view with welcome text
CHANGED: - tbt view moves together with the boat again
         
#044 - 25-Sep-2014
------------------
BUGFIX:  - did some optimizations, periscope view performes much better now
         - crew was not enabled/disabled correctly in all cases
ADDED:   - periscope view follows the set target as well and allows for torpedo adjustments

#043 - 16-Sep-2014
------------------
BUGFIX:  - map and system view could not be reached below periscope depth
ADDED:   - new command center
         - new status screen including 4 diesel engines
         - tbt view now follows the set target and allow torpedo adjustments
         - steering wheel to map

#042 - 25-Jul-2014
------------------
BUGFIX:  - areas below some controls were clickable in detail map
         - timewarp did not work in detail map when there were no waypoints set
ADDED:   - enemy ship with trackpoints and extrapolation line
CHANGED: - timewarp is set to 1000 in the global map
         - depth steering and engine telegraph are now accessable from the detail map

#041 - 24-Jul-2014
------------------
BUGFIX:  - calendar and time warp functions were visible in periscope and tbt mode
         - complete distance computation was messed up
         - torpedo fire button was greyed out after 4 fwd and 2 aft torpedoes (now 6/4)
         - in detail map the pointer could be set below the timewarp and clock
         - map and system view were not available below the surface
         - from detail map to overview map the detail map background was still visible
ADDED:   - enemy ships and map icons and traces
         - more details to the details map ;)
CHANGED: - a lot of internal stuff

#040 - 27-Jan-2014
------------------
BUGFIX:  - way point lines and dots were visible in the overview map
         - lines were in front of way points
ADDED:   - map scale
CHANGED: - target distance is now displayed in yards instead of meters

#039 - 22-Jan-2014
------------------
ADDED:   - way point lines and dots for the tracked course

#038 - 15-Jan-2014
------------------
BUGFIX:  - waypoints were not removed when a new target sector was choosen
ADDED:   - add way point button to avoid adding waypoint for every touch
CHANGED: - font to arial for calendar and time warp
         - command center illumination is darker now
         - moved TBT to the correct position (bit lower)

#037 - 14-Jan-2014
------------------
BUGFIX:  - Silverlining sky is now correctly disabled in some modes to avoid exceptions
         - bridge camera is correctly resetted now
         - periscope mode was not disabled automatically when diving and surfacing
         - TBT mode was not disabled automatically when diving and surfacing
         - fixed occasional exception in submarine class (accessing periscope ripple object)
         - command center was dark in the night
         - avoid an immediate target coordinate selection onto the map after enabling it
         - map travel is now correctly resumed when re-entering the map and the target isn't reached yet
           (timewarp is set to 1x when leaving the map, too!)
ADDED:   - command center is illuminated red in the night and white at day time
         - calendar below the clock
         - detail map, way points, undo, zoom in and out
         - time warp buttons (1x up to 5000x, up to 100x in the detail map)
CHANGED: - command center mesh
         - map target message is a bit lower
         - clock is now on a fix position on the map

#036 - 04-Dec-2013
------------------
BUGFIX:  - water transition plane is now large enough in all zoom states
         - fixed some command center switching bugs
ADDED:   - fading between cameras
CHANGED: - map icons

#035 - 03-Dec-2013
------------------
ADDED:   - command center
         - fade from map to command center and from bridge to command center while diving
CHANGED: - torpedo panel has now 6 fwd and 4 aft torpedoes

#034 - 27-Nov-2013
------------------
BUGFIX:  - map positioning did produce strange results when switching to map and directly back while driving
         - underwater particles now correctly disappear in periscope mode
         - depth target was not reset when the sub was traveling using time warp on the map
         - bubbles on right propeller did not appear
CHANGED: - navigation map, map symbols
         - underwater particles
         - crew
         - outer camera does not move with the sub buyoancy anymore

#033 - 25-Nov-2013
------------------
BUGFIX:  - it was not possible to dive beyond periscope depth
ADDED:   - crew on bridge
CHANGED: - navigation map graphics and map symbols
         - system view graphic

#032 - 22-Nov-2013
------------------
BUGFIX:  - fixed geographic direction of Midway
         - compass did show into the wrong direction
ADDED:   - animated flags for ships
         - working navigation map (including time warp)
CHANGED: - max torpedo running distance from 5000 meters to realistic 4100 meters at 46 knots speed
         - under water particles and bubbles from the boat
         - compass graphics

#031 - 07-Nov-2013
------------------
BUGFIX:  - bridge camera could be flipped!
         - particles under water are now correctly faded with the fog color
ADDED:   - depth rudder and rudder movements!
         - foam on the water
         - under water particles
CHANGED: - particle gameobjects are now latent deactivated
         - workaround: bridge mode can only be activated when the main cam is surfaced (silverlining issue)

#030 - 05-Nov-2013
------------------
ADDED:   - camera zoom via multi touch and/or mouse wheel
CHANGED: - Uzo/Periscope compass is only displayed in the appropriate mode
         - bridge camera looks always forward if activated
         - particle gameobjects are now deactivated if not used

#029 - 04-Nov-2013
------------------
BUGFIX:  - periscope did not move down when the sub went up to the surface
         - camera could "hang" under some conditions
         - added collisions for the islands
         - target selection did select own submarine and islands
ADDED:   - diesel oil consumption
         - water particles at cannon
CHANGED: - submarine mesh
         - depth value now jumps first to periscope depth, second click goes deeper
         - engine telegraph (has now additionally stand and flank)
         - click areas

#028 - 02-Nov-2013
------------------
ADDED:   - system view
         - periscope is now moved, including nice camera water transition effect
         - rotating sonar
CHANGED: - bridge mode is default now
         - optimized particles and squeezed some nice 15 fps out of it!
         - uzo view layer and button (called TBT now)
         - new buttons with pressed state

#027 - 30-Oct-2013
------------------
BUGFIX:  - when main camera was below surface and player switched to brige, fog was still active
ADDED:   - uzo view
         - flak on submarine
CHANGED: - submarine texture, bridge has a detail map now
         - all camera enable/disable stuff moved to an own script
         - bow wave particles are completely white and slower
         - clock is only visible in map, periscope and uzo mode
         - position of fire and zoom button to fit better for iPad aspect ratio
         - controls now need click into it to get activated (swiping into it doesn't change controls anymore!)
         - periscope can now be moved via swiping like the UZO

#026 - 26-Oct-2013
------------------
BUGFIX:  - ships in far distance now sit correctly onto the water plane
ADDED:   - bridge mode
         - gun on submarine
         - map!
CHANGED: - submarine + texture
         - waves a bit
         - lowered normal map of submarine
         - bow and tower particles of submarine

#025 - 22-Oct-2013
------------------
ADDED:   - buoyancy!
CHANGED: - freighter is not that deep in the water anymore
         - torpedo bubbles look better
         - freighter pipe smoke looks better
         - the sub now slopes under water while making a turn
         - normal map of freighter

#024 - 21-Oct-2013
------------------
BUGFIX:  - main camera is disabled now when switching to periscope mode
CHANGED: - added some light pollution to make the night a bit more bright
         - under water lighting

#023 - 21-Oct-2013
------------------
BUGFIX:  - some periscope mode controls were available in normal view
ADDED:   - explosions
CHANGED: - underwater lighting
         - particles are dimmed during night
         - freighter

#022 - 21-Oct-2013
------------------
BUGFIX:  - periscope view did not get updated with Silverline correctly
         - under water adapts to time and lighting as well now

#021 - 16-Oct-2013
------------------
ADDED:   - silverline real sky!
CHANGED: - Midway islands

#020 - 14-Oct-2013
------------------
ADDED:   - Midway islands!
CHANGED: - dropped that scaling approach and added a water plane

#019 - 10-Oct-2013
------------------
BUGFIX:  - ship was not moved correctly when the sub moved
CHANGED: - periscope fits better now for different depths and distances

#018 - 10-Oct-2013
------------------
BUGFIX:  - target selection works better
ADDED:   - horizon mesh
CHANGED: - ships are now scaled dependent from the distance!
         - submarine foam is a bit smaller

#017 - 09-Oct-2013
------------------
BUGFIX:  - render fog was enabled in periscope mode
         - torpedo propeller and bubbles were positioned wrong if the sub was not heading 0°
         - torpedoes now run straight forward if they miss the target
         - ocean is now rendered in periscope view when the main camera is below the surface
ADDED:   - clock
CHANGED: - ocean larger
         - ships and torpedoes are now adjusted the farther they are away from the sub
         - periscope camera looks at the "water horizon" which is nearer than the real horizon

#016 - 08-Oct-2013
------------------
BUGFIX:  - tailwave for freighter was still wrong
         - torpedo bubbles did disappear immediately after the torpedo hit its target
ADDED:   - propeller for freighter
         - torpedo propeller and under water bubbles
         - real FFT water!
CHANGED: - submarine physics
         - main camera behaviour which is now more stable

#015 - 02-Oct-2013
------------------
CHANGED: - particles are now hidden below water surface
         - all particles look less heavy now
         - water transition texture now moves!
         - collision box of freighter

#014 - 02-Oct-2013
------------------
BUGFIX:  - torpedo fire button is now always red (not grey) as long as there is no solution
         - torpedoes go now straight forward if fired to early without a solution
ADDED:   - torpedo panel shows now correct state of all torpedoes
         - water transition plane!
CHANGED: - torpedo steering
         - torpedoes can only be fired if there is one in the selected tube
         - camera can be moved freely now

#013 - 01-Oct-2013
------------------
BUGFIX:  - velocity was not computed correctly
ADDED:   - particles for ship
         - ship moves now
         - torpedo fire solution and steering

#012 - 28-Sep-2013
------------------
BUGFIX:  - fixed wrong rotation behaviour while diving and changing the direction
         - 2d overlay now stays always the same independently from the aspect ratio
ADDED:   - target selection works

#011 - 26-Sep-2013
------------------
BUGFIX:  - periscope compass angle did not follow the sub direction
ADDED:   - freighter
         - box colliders
         - zoom button and torpedo switch in periscope view
CHANGED: - wave particles

#010 - 24-Sep-2013
------------------
CHANGED: - particle textures
         - persiscope wave looks better now
         - depthview transparancy changed to 50%

#009 - 23-Sep-2013
------------------
BUGFIX:  - camera angle was too big, it did look below water
ADDED:   - periscope view

#008 - 21-Sep-2013
------------------
CHANGED: - sub mesh and its propellers
         - bubbles on propellers under water
         - camera works better now rotating around the sub
         - normal map values of the sub's bumpmap texture

#007 - 19-Sep-2013
------------------
ADDED:   - underwater propeller bubbles
CHANGED: - water is now moved correctly together with the submarine, endless water!
         - camera can now be moved more to the water plane

#006 - 18-Sep-2013
------------------
CHANGED: - water back to pro (AAAAAAAAAAAAAAAH!) - works well on S3 now!
         - sub is now closer to the cam

#005 - 18-Sep-2013
------------------
CHANGED: - water back to basic (Samsung S3 again)

#004 - 18-Sep-2013
------------------
BUGFIX:  - fixed slow deviation of particles over time
         - fixed periscope wave and foam
ADDED:   - under water fog
CHANGED: - water to pro
         - particles are white

#003 - 17-Sep-2013
------------------
CHANGED: - use standard water (easy water made problems on Samsung S3)
         - under water looks better now with reversed water plane and no sky box

#002 - 17-Sep-2013
------------------
ADDED:   - deep view
         - more particles for foam, tower and periscope waves
CHANGED: - camera respects over water and under water angles

#001 - 16-Sep-2013
------------------
ADDED:   - tower waves

#000 - 15-Sep-2013
------------------
ADDED:   - initial checkin
